'use strict'

const webpack = require('webpack')
const path = require('path')
const WebpackBar = require('webpackbar')
const utils = require('../utils')
const {
  abcConfig: { output, dll }
} = utils

module.exports = {
  mode: 'production',
  context: process.cwd(),
  resolve: {
    extensions: ['.js', '.jsx']
  },
  entry: {
    vendor: dll.vendors
  },
  output: {
    filename: '[name].dll.js',
    path: output.path,
    libraryTarget: 'var',
    library: 'xm_dll_[name]_[hash]'
  },
  plugins: [
    new WebpackBar(),
    new webpack.ContextReplacementPlugin(
      /moment[/\\]locale$/,
      /zh-cn/
    ),
    new webpack.DllPlugin({
      path: path.join(output.path, '[name].manifest.json'),
      name: 'xm_dll_[name]_[hash]'
    })
  ]
}
